Description

| think that ScalarProduct(MODULELEM,LIST) is OK

but MATRIX * MODULELEM may be ambiguous (row or col?)

For sure we should add examples to the manual

Related issues:

Related to CoCoALib - Design #703: Add more operations between modules (CoCoA... New 15 May 2015
Related to CoCoA-5 - Support #1031: ScalarProduct: exact defn and manual page New 17 Mar 2017

History

#1 - 13 May 2015 09:48 - Redmine Admin

- Target version set to COCoA-5.2.7

#2 - 17 Mar 2017 10:55 - John Abbott

If we regard ScalarProduct(A,B) as being equivalent to sum([A[i]*B[i] | i in 1..len(A)]) then ScalarProduct should accept LIST (of INT/RAT/RINGELEM)

and MODULEELEM. For instance:

F := NewFreeModule (R, 3);

G := gens (F);

L := [1,2,3]; // LIST of INT

ScalarProduct (L,G); —--> currently gives error

LI1]*G[1] + L[2]*G[2] + LI31*G[3];

#3 - 17 Mar 2017 11:01 - John Abbott

-—> gives expected answer

- Related to Support #1031: ScalarProduct: exact defn and manual page added
